Bug 484635 - /etc/ppp/ip-down.local not being called after ifdown
/etc/ppp/ip-down.local not being called after ifdown
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 23:32 EST by Paul Wilson
Modified: 2014-11-09 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:51:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ip-up.local -> log-ppp (2.05 KB, text/plain)
2009-09-29 16:17 EDT, Paul Wilson
no flags Details

  None (edit)
Description Paul Wilson 2009-02-08 23:32:46 EST
Description of problem:
ip-down.local is not being called for a ifdown command

Version-Release number of selected component (if applicable):
FC10
initscripts-8.86-1.i386
ppp-2.4.4-8.fc10.i386


How reproducible:
 Steps to Reproduce:
1.create  /etc/ppp/ip-down (add logger command)
2. ifdown myconnection
3.
  
Actual results:
no script called (nothing in syslog)

Expected results:
logger output in syslog

Additional info:

if-up.local is working ok but not its down counterpart.
note
script is executable :
 ls -al /etc/ppp/ip-down.local
-rwxr-xr-x 1 root root 2113 2009-02-09 08:06 /etc/ppp/ip-down.local

this script working before I upgraded to FC10
ie previous version working in FC8
thanks
Comment 1 Jiri Skala 2009-09-29 15:04:15 EDT
Hi,
I understood /etc/ppp/ip-dwon is called + executed correct. Did you try to make logs in /etc/ppp/ip-down which part is executed? (all or there is unexpected end of execution)

Can you provide me your scripts ip-down and ip-down.local.

Thanks

Jiri
Comment 2 Paul Wilson 2009-09-29 16:17:11 EDT
Created attachment 363050 [details]
 ip-up.local -> log-ppp

 ip-up.local -> log-ppp (symlink'd file)
Comment 3 Paul Wilson 2009-09-29 16:21:11 EDT
sorry for the typo that was /etc/ppp/ip-down.
note it seems to me that the ip-down for some reason I can't find runs every now and again .. eg I have my ppp0 interface started every midnight
here is the log file (below).
as you can see ip-down excutes every now and again but not every day.


13/09/2009 08:58:45 ip-up    ppp0 velocity  202.46.143.110
13/09/2009 09:07:38 ip-up    ppp0 velocity  202.46.143.110
13/09/2009 09:37:51 ip-up    ppp0 velocity  202.46.143.110
13/09/2009 10:15:34 ip-up    ppp0 velocity  202.46.143.110
13/09/2009 10:21:40 ip-up    ppp0 velocity  202.46.143.110
14/09/2009 00:09:04 ip-up    ppp0 velocity  202.46.143.110
14/09/2009 12:53:44 ip-up    ppp0 velocity  202.46.143.110
14/09/2009 13:13:09 ip-down  ppp0 velocity  202.46.143.110     1166      592246      199155
14/09/2009 13:14:37 ip-up    ppp0 velocity  202.46.143.110
14/09/2009 13:31:21 ip-up    ppp0 velocity  202.46.143.110
15/09/2009 00:09:03 ip-up    ppp0 velocity  202.46.143.110
16/09/2009 00:09:03 ip-up    ppp0 velocity  202.46.143.110
16/09/2009 14:18:40 ip-up    ppp0 velocity  202.46.143.110
17/09/2009 00:09:04 ip-up    ppp0 velocity  202.46.143.110
18/09/2009 00:09:03 ip-up    ppp0 velocity  202.46.143.110
18/09/2009 05:40:29 ip-down  ppp0 velocity  202.46.143.110    19886   601690915    13636951
18/09/2009 05:40:37 ip-up    ppp0 velocity  202.46.143.110
19/09/2009 00:09:03 ip-up    ppp0 velocity  202.46.143.110
20/09/2009 00:09:04 ip-up    ppp0 velocity  202.46.143.110
21/09/2009 00:09:03 ip-up    ppp0 velocity  202.46.143.110
Comment 4 Jiri Skala 2009-09-30 01:55:16 EDT
Hi,
thanks for quick response.
As you wrote ip-down runs every now and again for some reason. The reason is an object of our interest. Therefore  I have stupid question. Is the pppd running when the ppp connection should be disconnected?

Jiri
Comment 5 Paul Wilson 2009-09-30 03:24:31 EDT
the short answer is I don't know, I assume the "ifdown ppp0" command kills this daemon at some stage.
is there anything I can do to verify this in my ip-down script?
Comment 6 Jiri Skala 2009-10-02 09:49:08 EDT
hmm, if 'ifdown ppp0' didn't fail then pppd probably was running. But I'd like to be sure because I currently have no another idea why the ip-down is not invoked.
Comment 7 Bug Zapper 2009-11-18 06:03:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:51:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.